ReGet Junior Help

What Is ReGet Junior?

ReGet Junior is a download utility aimed to help you easily download files, music, videos and games from the Internet. ReGet Junior improves your downloads by:

  • From 3 (over the modem connection) up to 40 (over the cable, ADSL, LAN connection) times faster downloads!
  • Cooperative/Suspended modes to allow you to surf the Net with no delays while you're downloading!
  • Resume your downloads from where they were interrupted!

ReGet Junior works with the most popular browsers: Microsoft Internet Explorer, Netscape Navigator, Opera, MSN Explorer, NetCaptor, NeoPlanet.

View other topics:

  • How to Use ReGet Junior
  • ReGet Junior Key Features Explained


ReGet Junior Key Features Explained

  • Reliable downloads. ReGet Junior uses own download engine to make sure all your downloads succeed.
  • 3-40 times faster downloads. ReGet Junior can download the same file in 3-40 (depends on the speed of your Internet connection) parts resulting in 3-40 times faster downloads.
  • Download queue. ReGet Junior creates the download queue to omptimize the use of your Internet connection to facilitate downloads.
  • Unique click-catching technology. ReGet Junior is smart about taking over the downloads from your browser. Unlike competative products, ReGet Junior can take over the downloads triggered by forms, complex web-scripts, etc.
  • Skins. Make your downloads fun -- forget about all these dull standard interfaces, you can make your work with Internet really pleasant and funny with skins changing option. Just choose a skin you like and enjoy.


How to Use ReGet Junior

View topics:

  • How to Add a Download to ReGet Junior
  • How to Manage Your Downloads
  • How do You Know When Download Is Finished
  • How to Switch Languages
  • How to Change Skins
  • How to Change the Connection Type
  • How to Configure ReGet Junior Browser Integration Options


How to Add a Download to ReGet Junior Queue

There are several ways you can add a download, and you can use any of them.

If you use Microsoft Internet Explorer, MSN Explorer, NetCaptor or NeoPlanet:
- Just click on the download link/button and a ReGet Junior dialog will appear instead of standard Save As... dialog.
- Choose "Download using ReGet Junior" in Internet Explorer 4.x context menu (right-click on the link to invoke it).

If you use Netscape Navigator or Opera:
Click on a link holding down the ALT key.

Also there are a few ways apart from the browser:
- Drag the link from your favorite browser and drop it to ReGet Junior floating transparent window.
- Or, you can use Copy Shortcut in your browser and then manually add it to the queue by pressing Ctrl+V or by clicking the Plus button.
- Also, you can use Copy Shortcut in your browser, then right-click the ReGet Junior icon in the System Tray and select Paste from the menu.
- Finally, you may type-in the necessary URL manually after clicking [image].

After you click a link or click the Plus button the Properties dialog appears where you can edit properties of your download. If you want to save the file with another name type this name in the Save As… field. If the server you download from requires a login and password type them in the appropriate fields. Press OK when done editing.

Next: How to Manage Your Downloads


How to Manage Your Downloads

You have added a download. What now?
Buttons on the toolbar allow you to:

- Add (1) a new download
- Start (2) a download
- Pause (3) and then again Start (2) a download
- View log (4) of a selected download. This log tells you what exactly is happening with your download. Don't worry if something went wrong and you don't understand a word from this log. You can copy it to the Clipboard, then paste to an e-mail and send it to our support team at support@reget.com which is always glad to help you.
- Delete (5) selected downloads. You can hold down CTRL and SHIFT keys to select more than one download. This option WILL NOT delete downloaded files from your hard drive.
- Read help (6). As you are reading this you already know how to open the help-file.

Graph bar (7) shows you the incoming traffic to ReGet Junior. You can show or hide it by pressing the small button (8) near the graph (please note: this show/hide Graph bar button is optional and may be not present in some skins). Scale of the traffic graph can be decreased (9), increased (11) or switched to an auto mode (10).

If you are not satisfied with traffic you can manage it with three colored buttons (12):

  • Green button switches ReGet Junior to unlimited mode, ReGet Junior fully utilizes the entire bandwidth to download files (please note: the Net surfing will be seriously affected in this mode -- you might not be able to use any other Internet-applications while downloading).
  • Yellow button switches ReGet Junior to cooperative mode, ReGet Junior will use your bandwidth moderately, allowing you to surf the Net while downloading.
  • Red button switches ReGet Junior to suspended mode, ReGet Junior will only use a fraction of your bandwidth to keep downloads alive.

Download list section (13) is divided into 7 columns (brackets identify the columns hidden by default):
  • Filename. The name you want the file to be saved as. By default -- it is the original filename, if you have not specified otherwise in the Save as… field.
  • (URL). The full path to the file in the Internet.
  • Size. Usually ReGet Junior gets the file size from the server, but some servers do not supply this information, then ReGet Junior cannot resume download if it breaks, cannot display the percentage completed nor the estimated time left before download is completed.
  • %. This column shows what percentage of the download is complete.
  • Downloaded. This column shows the amount of the file received (in Kb or Mb).
  • Time left. Estimated time left until download is completed. Calculation of the time left is based on the current speed, so the value might change during download.
  • Speed. The current download speed in bytes per second. This speed may change during download.
  • Sections. This graph indicates how many sections the file is divided into and what percent of each section is complete.
  • State. Shows the current state of download (for example, it is downloading, or it is paused, or there is an error, etc).
  • (Error). Error counter. After 100 errors ReGet Junior stops downloading the file.

You can easily customize the download list section according to your needs. If you want to change or show/hide some columns right-click on the header of any column and choose the required columns from the menu. You can also change the order of columns by dragging them by header.

Next: How Do You Know When Download Is Finished


How Do You Know If Download is Finished

When a download is finished you will see 100% in the % column and a green tick will appear to the left of the filename.
Now you can open the downloaded file by choosing Open file from the shortcut menu or open the folder where the file is stored by choosing Open directory (you can also use hot keys: Enter for opening the file and Ctrl+Enter for opening the containing folder).
If you don't need this download in the queue anymore you can delete it by clicking Delete (4) on the toolbar or by pressing the Delete key. PLEASE NOTE, that deleting the download information from the queue WILL NOT delete the downloaded file from your hard drive.

Next: How to Switch Languages


How to Switch Languages

ReGet Junior is a multilanguage application. Click the British flag button to see the list of available languages and choose the required language from the list.
If you want to localize ReGet Junior interface to your native language, please download LocKit from http://www.reget.com/redir/redir.asp?lang=default&product=jrloc&link=tool.
This program will make localization easy and comfortable. Please do not hesitate to contact localize@reget.com if you have any questions about localization.

Next: How to Change Skin


How to Change Skins
Use one of the following ways:

  • Click the double arrow button on the upper side of the ReGet Junior window. Choose skin you want and click Apply.
  • Click the ReGet Junior triangle button in the left upper corner of the ReGet Junior window. Choose Change skin from the menu. Select the skin you want and click Apply.

If you want to create a skin for ReGet Junior please contact skinsubmit@spb.reget.com

Next: How to Change Connection Type


How to Change the Connection Type

Click the ReGet Junior triangle button in the upper left corner of the window and choose Options from the menu.
If you don't know your connection type you can use the default one. Actually this option is important only when you change the priority mode, though many other parameters (such as pause between retries, section size, amount of simultaneous connections and so on) depend on this option. If you are an advanced user you can change these parameters manually in the profiles.ini file in ReGet Junior program folder.

Next: How to Configure ReGet Junior Browser Integration Options


How to Configure ReGet Junior Browser Integration Options

Click the ReGet Junior triangle button in the upper left corner of the window, choose Options from the menu and click Integration. It will invoke ClickCatcher settings dialog where you can choose browsers you want ReGet Junior to integrate with.

In the Default Download Manager section you may select the download manager which you are going to use to download files from the Internet.

Internet Explorer section contains the following options: Select the Catch links from Internet Explorer checkbox to enable an instant download of files from the Internet as soon as you click their links while using Microsoft Internet Explorer.
Select the Add ReGet Junior to context menu checkbox to enable the appearance of the option allowing to download by ReGet Junior in Microsoft Internet Explorer context menu.
Internet Explorer settings will automatically work for NetCaptor, NeoPlanet and MSN Explorer.

Other Programs section is used to customize integration with other browsers such as Netscape Navigator and Opera.
Select the Catch links from Netscape Navigator checkbox to enable instant downloading when clicking a file link in Netscape Navigator.
Select the Catch links from Opera checkbox to enable instant downloading when clicking a file link in Opera.
You may not wish to use instant downloading by just clicking on the file link. For this purpose select the Add URL only if ALT key pressed. This option will start instant downloading only if the ALT key is held down while clicking on the link.
Specify the extensions of files that should not be downloaded when you click on them in the Ignore extensions text field.

The Clipboard section enables or disables monitoring of the Clipboard.
Select the Monitor Clipboard checkbox in order to enable instant downloading of a file as soon as it’s link is copied to the Clipboard. You may disable instant downloading of some file links in the Clipboard by specifying their extensions in the Ignore extensions text field.

The Confirmations section customizes the need to confirm download of links.
Select or clear the Confirmation on adding downloads from Browsers checkbox to enable or disable the confirmation before downloading links that are clicked in browsers.
Select or clear the Confirmation on adding downloads from the Clipboard checkbox to enable or disable the confirmation before downloading links that are copied to the Clipboard.

Back to How to Use ReGet Junior